{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
        <div class="content-box-large">
            <div class="panel-heading">
              <div class="panel-title">{{"Clients list"|trans}}</div>
              
              <div class="panel-options">
                  <a href="{{path('clients_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
                  <a href="{{path('clients_restore')}}" data-rel="collapse"><i class="fa fa-undo-alt"></i></a>           
              </div>
          </div>
            <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-striped">
                <thead>
                  <tr>
                    <th>{{'Identification'|trans}}</th>
                    <th>{{'Name'|trans}}</th>
                    <th>{{'Email'|trans}}</th>
                    <th>{{'Phone'|trans}} </th>
                    <th>{{'Industry'|trans}}</th>
                    <th>{{'Actions'|trans}}</th>
                  </tr>
                </thead>
                <tbody>
                    {% for client in clients %}
                        <tr>
                                <td>
                                    {{client.identification}}
                                </td>
                                <td>
                                    {{client.name}}
                                </td>
                                <td>
                                    {{client.email}}
                                </td>
                                <td>
                                    {{client.phone}}
                                </td>
                                <td>
                                    {% for ind in client.industry %}
                                        {{ ind.type }}{% if not loop.last %}, {% endif %}
                                    {% endfor %}
                                </td>
                              
                                <td>
                                            <a href="{{path('clients_edit',{
                                                id:client.id
                                            })}}">
                                                <i class="fa fa-edit"></i>
                                            </a>
                                            <a href="{{path('clients_delete',{
                                                id:client.id
                                            })}}">
                                                <i class="fa fa-trash-alt"></i>
                                            </a>
                                </td>
                        </tr>
                    {% endfor %}
                </tbody>
              </table>
              </div>
              {{knp_pagination_render(clients)}}
            </div>
        </div>
    </div>
{% endblock %}

